﻿<div id="login-dom" class="app-zone">
    <div class="inner">
        <h3 class="app-zone-title form-title">Login</h3>
        <div class="login-error form-error" data-bind="if: error()">
            <span data-bind="text: error"></span>
        </div>
        <form id="form-login" method="post" action="#/login" data-bind="with: LoginModel">
            <div class="inner" data-bind="validationOptions: { insertMessages: false }">
                <div class="form-field">
                    <label>Username:</label>
                    <input class="app-textbox" type="text" name="Username" data-bind="value: Username, valueUpdate: 'input'" />
                    <div class="validationMessage" data-bind="validationMessage: Username"></div>
                </div>
                <div class="form-field">
                    <label>Password:</label>
                    <input class="app-textbox" type="password" name="Password" data-bind="value: Password, valueUpdate: 'input'" />
                    <div class="validationMessage" data-bind="validationMessage: Password"></div>
                </div>
                <div class="form-field">
                    <a class="app-simple-link font-small register-link" href="#/instructions">Register</a>
                    <input class="app-button no-border" type="submit" value="Login" data-bind="enable: isValid() && !$parent.loading(), click: $parent.submit"/>
                    <div class="loading-gif micro" style="display: none;"></div>
                </div>
                <div>
                    <a class="app-simple-link font-small forgot-link inline-block" href="#/reset">forgot your password ?</a>
                </div>
            </div>
        </form>
    </div>
</div>